@import url('https://fonts.googleapis.com/css2?family=El+Messiri:wght@400..700&display=swap');

body {

    direction: rtl;
    font-family: "El Messiri", sans-serif;

}

:root {
    --ebarea2-container-width: 1440px;
    --ebarea2-dark: #000000;
    --ebarea2-white: #ffffff;
    --ebarea2-primary: #142BA0;
    --ebarea2-secondary: #1A1A1A;
    --ebarea2-container-width: 1440px;

    --ebarea2-space-xs: .4rem;
    --ebarea2-space-sm: .8rem;
    --ebarea2-space-md: 1.2rem;
    --ebarea2-space-lg: 2rem;
    --ebarea2-space-xl: 3rem;

    --ebarea2-fs-sm: .85rem;
    --ebarea2-fs-base: 1rem;
    --ebarea2-fs-md: 1.1rem;
    --ebarea2-fs-lg: 1.125rem;
    --ebarea2-fs-xl: 1.6rem;
    --ebarea2-transition: .35s cubic-bezier(.4, 0, .2, 1);
}

body {
    font-family: "Cairo", sans-srvif;
    direction: rtl;
}

a {
    text-decoration: none;
    color: inherit;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.ebarea2-areas-section {
    padding: 0;
    background-color: var(--ebarea2-white);

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: var(--ebarea2-space-md);
    max-width: var(--ebarea2-container-width);
    width: calc(100vw - 1em);
    margin: 0 auto;
}

.ebarea2-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;

}

.ebarea2-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: var(--ebarea2-space-sm);
}

.ebarea2-title {
    font-size: clamp(1.8rem, 4vw, 3rem);
    font-weight: bold;
    color: var(--ebarea2-secondary);
}

.ebarea2-title-highlight {
    color: var(--ebarea2-primary);
}

.ebarea2-underline {
    width: 80px;
    height: 2px;
    background-color: var(--ebarea2-secondary);
    position: relative;
}


.ebarea2-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: var(--ebarea2-space-sm);
    align-items: stretch;
    justify-content: center;
    width: 100%;
}


.ebarea2-card {
    background-color: var(--ebarea2-white);
    border-top: 5px solid var(--ebarea2-primary);
    border-radius: 8px;
    box-shadow: 0 5px 25px rgba(0, 0, 0, 0.05);
    padding: var(--ebarea2-space-sm);

    display: flex;
    flex-direction: row;
    gap: var(--ebarea2-space-xs);
    align-items: center;
    justify-content: center;
    text-align: center;


    position: relative;
    overflow: hidden;
    cursor: pointer;
    z-index: 1;
    transition: var(--ebarea2-transition);
}

.ebarea2-card::after {
    content: "";
    position: absolute;
    top: -100%;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(135deg, var(--ebarea2-secondary), var(--ebarea2-primary));
    z-index: -1;
    transition: var(--ebarea2-transition);
}

.ebarea2-card-details-container {
    display: flex;
    flex-direction: column;
    gap: var(--ebarea2-space-xs);
    align-items: center;
    text-align: center;
}

.ebarea2-card-title {
    font-size: var(--ebarea2-fs-lg);
    font-weight: 600;
    color: var(--ebarea2-secondary);
    transition: var(--ebarea2-transition);
}

.ebarea2-card-desc {
    font-size: var(--ebarea2-fs-sm);
    color: var(--ebarea2-secondary);
    opacity: 0.8;
    transition: var(--ebarea2-transition);
}

.ebarea2-card:hover {

    transform: translateY(-5px);
}

.ebarea2-card-icon-container {
    padding: var(--ebarea2-space-xs);
    background-color: var(--ebarea2-white);
    border-radius: 8px;
    border-top: 2px solid var(--ebarea2-primary);

    text-align: center;
    color: var(--ebarea2-primary);
}

@media (max-width:768px) {
    .ebarea2-grid {

        grid-template-columns: repeat(3, 1fr);

    }
}

@media (max-width:480px) {
    .ebarea2-grid {

        grid-template-columns: repeat(2, 1fr);

    }
}